#version 150

uniform vec3 color;
in vec2 Texcoord;
uniform sampler2D texFont;

out vec4 outColor;

void main() {
    vec4 col = texture(texFont, Texcoord);
    if(col.r < 0.5) {
        outColor = vec4(0.0, 0.0, 0.0, 0.0);
    } else {
        outColor = vec4(color, 1.0);
    }
}
